# ==================================================================
# Plugins::GMail::TitleLinked - Auto Generated Install Module
#
#   Plugins::GMail::TitleLinked
#   Author  : yogi
#   Version : 1.0
#   Updated : Mon Jan 19 17:05:42 2004
#
# ==================================================================
#

package Plugins::GMail::TitleLinked;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use GMail qw/$IN $DB $CFG/;

$VERSION = '1.0';
$DEBUG   = 0;
$NAME    = 'TitleLinked';
# Inhert from base class for debug and error methods
@Plugins::GMail::TitleLinked::ISA = qw(GT::Base);

$META = {
    'license' => 'Freeware',
    'prog_ver' => '2.2.0',
    'version' => '1.0',
    'description' => 'Creates a linked breadcrumb title on all mail pages.',
    'url' => 'http://www.iyengar-yoga.com/gt-plugins/',
    'author' => 'yogi'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = 'This plugin provides a linked title tag on all pages. Example: Home : Webmail : Addresses : Add Address';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::GMail::TitleLinked::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_options('TitleLinked', [['separator', '&nbsp;:&nbsp;', 'Separator of links', '', [], [], '']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::GMail::TitleLinked::error
#
    my $mgr = shift;
    
    return "The plugin has been successfully removed!";
}

1;
