# ==================================================================
# Plugins::GMail::TitleLinked - Auto Generated Program Module
#
#   Plugins::GMail::TitleLinked
#   Author  : yogi
#   Version : 1.0
#   Updated : Mon Jan 19 17:05:42 2004
#
# ==================================================================
#

package Plugins::GMail::TitleLinked;
# ==================================================================

use strict;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use GMail qw/$IN $DB $CFG/;
use GMail::Plugins;

# Inherit from base class for debug and error methods
@Plugins::GMail::TitleLinked::ISA = qw(GT::Base);

sub get {

    my $tags = GT::Template->tags();
    my $cfg = GMail::Plugins->get_plugin_user_cfg('TitleLinked');

# definitions of titles, urls and parent pages
# If you want to change texts, do it here!
# You can change the 'title' values without problems.
# Don't change the 'url' and 'parent' values unless
# you know what you are doing
    my $dos = {
	'email-attach-clean' => {
	    title => 'Write an Email',
	    url => 'do=email-attach-clean;',
	    parent => 'home.htm',
	},
	'email-attach-upload' => {
	    title => 'Upload Attachment',
	    url => '',
	    parent => 'email-attach-clean',
	},
	'compose-save_draft' => {
	    title => 'Save Draft',
	    url => '',
	    parent => 'email-attach-clean',
	},
	'spellcheck-check' => {
	    title => 'Check Spelling',
	    url => '',
	    parent => 'email-attach-clean',
	},
	'messages-search-query' => {
	    title => 'Search Results',
	    url => '',
	    parent => 'msgs_search.htm',
	},
	'options-filters-process_folder' => {
	    title => 'Apply Filters',
	    url => '',
	    parent => 'folders.htm',
	},
	'folders-edit_form' => {
	    title => "Edit Folder '$tags->{folders_name}'",
	    url => '',
	    parent => 'folders.htm',
	},
	'folders-edit' => {
	    title => 'Folders',
	    url => 'folders.htm',
	    parent => 'home.htm',
	},
	'folders-delete' => {
	    title => "Delete folder '$tags->{folders_name}'",
	    url => '',
	    parent => 'folders.htm',
	},
	'messages-delete_folder' => {
	    title => "Empty Folder '$tags->{folders_name}'",
	    url => '',
	    parent => 'folders.htm',
	},
	'messages-delete_folder_duplicates' => {
	    title => 'Delete Dplicates',
	    url => '',
	    parent => 'folders.htm',
	},
	'messages-move_folder' => {
	    title => 'Move Folder',
	    url => '',
	    parent => 'folders.htm',
	},
	'messages-move_message' => {
	    title => 'Move Message',
	    url => '',
	    parent => 'msgs_body.htm',
	},
	'folders-move' => {
	    title => "Move Folder $tags->{folders_name}",
	    url => '',
	    parent => 'folders.htm',
	},
	'messages-moveuser_folder' => {
	    title => 'Move to User',
	    url => '',
	    parent => 'folders.htm',
	},
	'folders-add' => {
	    title => 'Add Folder',
	    url => '',
	    parent => 'folders.htm',
	},
	'addressbook-add_form' => {
	    title => 'Add Address',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-add' => {
	    title => 'Add Address',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-view_form' => {
	    title => 'View Address',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-edit_form' => {
	    title => 'Edit Address',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-edit' => {
	    title => 'Edit Address',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-delete' => {
	    title => 'Delete Address',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-add_group_form' => {
	    title => 'Add Group',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-add_group' => {
	    title => 'Add Group',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-edit_group_form' => {
	    title => 'Edit Group',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-edit_group' => {
	    title => 'Edit Group',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-save_group' => {
	    title => 'Save Group',
	    url => '',
	    parent => 'addresses.htm',
	},
	'addressbook-delete_group' => {
	    title => 'Delete Group',
	    url => '',
	    parent => 'addresses.htm',
	},
	'options-compose-save' => {
	    title => 'Save Compose Options',
	    url => '',
	    parent => 'options.htm',
	},
	'options-display-save' => {
	    title => 'Save Display Options',
	    url => '',
	    parent => 'options.htm',
	},
	'signatures-add_form' => {
	    title => 'Add Signature',
	    url => 'do=signatures-add_form',
	    parent => 'signatures.htm',
	},
	'signatures-add' => {
	    title => 'Add Signature',
	    url => '',
	    parent => 'signatures.htm',
	},
	'options-spam-save' => {
	    title => 'Save Spam Options',
	    url => '',
	    parent => 'options.htm',
	},
	'options-filters-add_form' => {
	    title => 'Add Filter',
	    url => '',
	    parent => 'options.htm',
	},
	'options-filters-add' => {
	    title => 'Add Filter',
	    url => '',
	    parent => 'options.htm',
	},
	'options-pop3-update' => {
	    title => 'Remote Email Accounts',
	    url => '',
	    parent => 'options.htm',
	},
	'options-profile-save' => {
	    title => 'Profile',
	    url => '',
	    parent => 'options.htm',
	},
	'options-password-save' => {
	    title => 'Change Password',
	    url => '',
	    parent => 'options.htm',
	},
	'options-mailbox-save' => {
	    title => 'Mailbox Options',
	    url => '',
	    parent => 'options.htm',
	},
	'compose-draft' => {
	    title => 'Compose Draft',
	    url => '',
	    parent => 'home.htm',
	},
	'messages-move' => {
	    title => 'Move Message',
	    url => '',
	    parent => 'msgs_list.htm',
	},
	'messages-change_status' => {
	    title => 'Change Message Status',
	    url => '',
	    parent => 'msgs_body.htm',
	},
	'compose-reply' => {
	    title => 'Reply',
	    url => '',
	    parent => 'home.htm',
	},
	'compose-reply_all' => {
	    title => 'Reply All',
	    url => '',
	    parent => 'home.htm',
	},
	'compose-forward' => {
	    title => 'Forward',
	    url => '',
	    parent => 'home.htm',
	},

    };

    my $pages = {
	'home.htm' => { 
	    title => 'Webmail',
	    url => "",
	    parent => '',
	},
	'folders.htm' => { 
	    title => 'Folders',
	    url => "page=folders.htm",
	    parent => 'home.htm',
	},
	'msgs_list.htm' => { 
	    title => $tags->{folders_name},
	    url => "msgtrack_fid=$tags->{fid};page=msgs_list.htm;",
	    parent => 'folders.htm',
	},
	'compose.htm' => { 
	    title => 'Write Email',
	    url => 'page=compose.htm',
	    parent => 'home.htm',
	},
	'msgs_body.htm' => {
	    title => $tags->{msgs_subject_disp},
	    url => "page=msgs_body.htm;msgtrack_fid=$tags->{msgtrack_fid};msgtrack_id=$tags->{msgtrack_id}",
	    parent => 'msgs_list.htm',
	},
	'msgs_search.htm' => {
	    title => 'Search',
	    url => 'page=msgs_search.htm',
	    parent => 'home.htm',
	},
	'addresses.htm' => {
	    title => 'Address Book',
	    url => 'page=addresses.htm',
	    parent => 'home.htm',
	},
	'options.htm' => {
	    title => 'Options',
	    url =>'page=options.htm',
	    parent => 'home.htm',
	},
	'options_compose.htm' => {
	    title => 'Compose',
	    url =>'page=options_compose.htm',
	    parent => 'options.htm',
	},
	'options_display.htm' => {
	    title => 'Display',
	    url =>'page=options_display.htm',
	    parent => 'options.htm',
	},
	'options_emailprof.htm' => {
	    title => 'Email Profiles',
	    url =>'page=options_emailprof.htm',
	    parent => 'options.htm',
	},
	'signatures.htm' => {
	    title => 'Signatures',
	    url =>'page=signatures.htm',
	    parent => 'options.htm',
	},
	'options_spam.htm' => {
	    title => 'Spam Filters',
	    url =>'page=options_spam.htm',
	    parent => 'options.htm',
	},
	'options_filters.htm' => {
	    title => 'Advanced Filters',
	    url =>'page=options_filters.htm',
	    parent => 'options.htm',
	},
	'options_remote_email.htm' => {
	    title => 'Remote Email Accounts',
	    url =>'page=options_remote_email.htm',
	    parent => 'options.htm',
	},
	'options_profile.htm' => {
	    title => 'Profile',
	    url => 'page=options_profile.htm',
	    parent => 'options.htm',
	},
	'options_password.htm' => {
	    title => 'Change Password',
	    url => 'page=options_password.htm',
	    parent => 'options.htm',
	},
	'options_mailbox.htm' => {
	    title => 'Mailbox Options',
	    url => 'page=options_mailbox.htm',
	    parent => 'options.htm',
	},
    };

# don't edit below this line unless you're an expert

    
# compose the title_linked string, this is the actual code...
#------------------------------------------------------------
    my $action = $tags->{do};
    $action ||= $tags->{page};
    my $title_linked = '';
    my $first = 1;

    while ($action) {
	my $p = $dos->{$action};
	$p ||= $pages->{$action};

	last unless $p->{title};

	if ($first) {
	    $title_linked = "$cfg->{separator}$p->{title}";
	}
	else {
	    $title_linked = qq|$cfg->{separator}<a href="webmail.cgi?${$tags->{url_hidden}};$p->{url}" class="titlelinked">$p->{title}</a>| . $title_linked;
	}
	$first = 0;
	$action = $p->{parent};
    }

    $title_linked =~ s,^$cfg->{separator},,;

    return { title_linked => $title_linked };

}


# Always end with a 1.
1;
